﻿using Kivii;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njhg.Third.Semir.Entities
{
    [Api(Description = "报告结果推送森马结构")]
    public class ReportDetail
    {
        /// <summary>
        /// 报告编号
        /// </summary>
        [ApiMember(Description = "报告编号")]
        public string RPT_NO { get; set; }

        /// <summary>
        /// PDF地址
        /// </summary>
        [ApiMember(Description = "PDF地址")]
        public string URL { get; set; }

        /// <summary>
        /// 检验结论(1-合格,2-不合格)
        /// </summary>
        [ApiMember(Description = "检验结论(1-合格,2-不合格)")]
        public int RESULT { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [ApiMember(Description = "描述")]
        public string RPT_DESC { get; set; }

        /// <summary>
        /// 检验项目
        /// </summary>
        [ApiMember(Description = "检验项目")]
        public List<Detail> ITEMS { get; set; }
    }

    public class Detail
    {
        /// <summary>
        /// 检测项⽬
        /// </summary>
        [ApiMember(Description = "检测项⽬")]
        public string ITEM_NAME { get; set; }

        /// <summary>
        /// 检测项⽬描述
        /// </summary>
        [ApiMember(Description = "检测项⽬描述")]
        public string ITEM_DESC { get; set; }
        /// <summary>
        /// 检测项模板ID
        /// </summary>
        [ApiMember(Description = "检测项模板ID")]
        public string TEMP_ITEM_ID { get; set; }
        /// <summary>
        /// 成品或料颜⾊
        /// </summary>
        [ApiMember(Description = "成品或料颜⾊")]
        public string F1_DISPLAY { get; set; }
        /// <summary>
        /// 测试⽅法
        /// </summary>
        [ApiMember(Description = "测试⽅法")]
        public string ITEM_STANDARD { get; set; }
        /// <summary>
        /// 检测指标,单位
        /// </summary>
        [ApiMember(Description = "检测指标,单位")]
        public string ITEM_SPEC1 { get; set; }
        /// <summary>
        /// "检测指标,标准值及允差
        /// </summary>
        [ApiMember(Description = "检测指标, 标准值及允差")]
        public string ITEM_SPEC2 { get; set; }

        /// <summary>
        /// 检测部位
        /// </summary>
        [ApiMember(Description = "检测部位")]
        public string CHECK_PART { get; set; }

        /// <summary>
        /// 检测部位描述
        /// </summary>
        [ApiMember(Description = "检测部位描述")]
        public string CHECK_PART_DISPLAY { get; set; }

        /// <summary>
        /// 单项判定(0-不合格,1-合格,4-其他)
        /// </summary>
        [ApiMember(Description = "单项判定(0-不合格,1-合格,4-其他)")]
        public int RESULT { get; set; }

        /// <summary>
        /// 当RESULT为4时填写
        /// </summary>
        [ApiMember(Description = "当RESULT为4时填写")]
        public string RESULT_TEXT { get; set; }

        /// <summary>
        /// 检测结果
        /// </summary>
        [ApiMember(Description = "检测结果")]
        public string RESULT_REMARK { get; set; }
    }

    [Api(Description = "报告结果推送森马结构")]
    public class ReportResultInfo
    {
        /// <summary>
        /// 委托书编号
        /// </summary>
        [ApiMember(Description = "委托书编号")]
        public string DOC_NO { get; set; }

        /// <summary>
        /// 报告编号
        /// </summary>
        [ApiMember(Description = "报告编号")]
        public string EXT_DOC_NO { get; set; }

        /// <summary>
        /// 检验结论(1-合格,2-不合格)
        /// </summary>
        [ApiMember(Description = "检验结论(1-合格,2-不合格)")]
        public int RESULT { get; set; }

        /// <summary>
        /// 检验结论
        /// </summary>
        [ApiMember(Description = "检验结论")]
        public string RESULT_TEXT { get; set; }

        /// <summary>
        /// 检验结论
        /// </summary>
        [ApiMember(Description = "检测费用")]
        public decimal CHECK_FEE { get; set; }

        /// <summary>
        /// PDF地址
        /// </summary>
        [ApiMember(Description = "PDF地址")]
        public List<UrlPdf> URL_PDF { get; set; }
    }

    public class UrlPdf
    {
        /// <summary>
        /// 报告编号
        /// </summary>
        [ApiMember(Description = "报告编号")]
        public string RPT_NO { get; set; }

        /// <summary>
        /// PDF地址
        /// </summary>
        [ApiMember(Description = "PDF地址")]
        public string URL { get; set; }

        /// <summary>
        /// 检验结论(1-合格,2-不合格)
        /// </summary>
        [ApiMember(Description = "检验结论(1-合格,2-不合格)")]
        public int RESULT { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [ApiMember(Description = "描述")]
        public string RPT_DESC { get; set; }
    }
}
